const express = require('express');
const path = require('path');
const app = express();
const port = 3000;

var api = require('./api.js');

module.exports.start = function () {
    app.use('/web', express.static('resources'));
    app.get('/json', (req, res) => {
        res.json({ name: "IOT5_Orientation", author: "tgi", version: '1' });
    });
    api.start(app, '/api');

    app.listen(port, () => {
        console.log(`IOT5 Orientation listening at http://localhost:${port}`);
    });
}
