var storage = require('../storage/storage.js');
var lora = require('../lora/lora.js');

module.exports.start = function (app, path) {
    app.get(path + '/points', (req, res) => {
        res.json(storage.points.getPoints());
    });
    app.get(path + '/devices/shutdown', (req, res) => {
        let ret = lora.broadcastShutdown();
        res.json({ status: ret ? 'ok' : 'error' });
    });
    app.get(path + '/devices/ring', (req, res) => {
        let ret = lora.broadcastRing();
        res.json({ status: ret ? 'ok' : 'error' });
    });
}
